Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82945 - --gen-key fails first time it is run
Summary: --gen-key fails first time it is run
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnupg
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-28 19:51 UTC by Gene Czarcinski
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-27 19:18:36 UTC


Attachments (Terms of Use)

Description Gene Czarcinski 2003-01-28 19:51:50 UTC
Description of problem:
For a new user, when gpg --gen-key is run the first time it fails.  Running it a
second times generates the key.  The following messages were issued:

gpg: no writable secret keyring found: eof
Key generation failed: eof

When this is done on a 8.0 system, it does not work the first time but explains
that it needs to be rerun to pick up the new ~.gnupg/options file.  Again,
rerunning it will create the keypair.

Comment 1 Gene Czarcinski 2003-10-27 19:18:36 UTC
works now


Note You need to log in before you can comment on or make changes to this bug.